"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postWithXForm = void 0;
function buildUrlEncodedRequest(request) {
    let queryString = '';
    Object.entries(request).forEach(([key, value]) => {
        queryString += (queryString ? '&' : '') + key + '=' + encodeURIComponent(value);
    });
    return queryString;
}
function postWithXForm(url, request) {
    return fetch(url, {
        method: 'POST',
        body: buildUrlEncodedRequest(request),
        headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
    }).then((response) => {
        if (!response.ok) {
            console.error(response);
            throw Error(response.statusText);
        }
        return response;
    });
}
exports.postWithXForm = postWithXForm;
