"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.epochTimeIsPast = exports.epochAtSecondsFromNow = void 0;
// Returns epoch time (in seconds) for when the token will expire
const epochAtSecondsFromNow = (secondsFromNow) => Math.round(Date.now() / 1000 + secondsFromNow);
exports.epochAtSecondsFromNow = epochAtSecondsFromNow;
/**
 * Check if the Access Token has expired.
 * Will return True if the token has expired, OR there is less than 5min until it expires.
 */
function epochTimeIsPast(timestamp) {
    const now = Math.round(Date.now()) / 1000;
    const nowWithBuffer = now + 120;
    return nowWithBuffer >= timestamp;
}
exports.epochTimeIsPast = epochTimeIsPast;
